Get components
curl --request GET \
--url https://api.maalbar.dk/v1/screenings/components \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings/components';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "screening_xxxxxxxxxxxx",
"name": "<string>",
"pallet": {
"name": "<string>"
},
"packaging": [
{
"publicId": "screeningMaterial_xxxxxxxxxxxx",
"name": "<string>"
}
]
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Components
Get components
Paginated with defaults page=1, pageSize=50
GET
/
screenings
/
components
Get components
curl --request GET \
--url https://api.maalbar.dk/v1/screenings/components \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings/components';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "screening_xxxxxxxxxxxx",
"name": "<string>",
"pallet": {
"name": "<string>"
},
"packaging": [
{
"publicId": "screeningMaterial_xxxxxxxxxxxx",
"name": "<string>"
}
]
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}